[SciPy-dev] Absoft and current versions

Pearu Peterson pearu at scipy.org
Tue Sep 20 00:36:41 CDT 2005



On Mon, 19 Sep 2005, Stephen Walton wrote:

> I finally decided that building scipy with the Absoft compiler, which I have 
> a perfectly good license for, is preferred to dropping back to FC3 on several 
> machines already running FC4.  I've put a patch up on the scipy.org Bug 
> Tracker for absoftfcompiler.py from scipy_distutils for Absoft Version 9.0. 
> After this fix, I can verify that "python fcompiler.py config_fc --verbose" 
> in scipy_core/scipy_distutils lists the correct switches and lists absoft as 
> an available compiler on my system.
>
> However, after
>
> python setup.py config_fc --fcompiler=absoft build
>
> in the main scipy directory (current svn checkout) I see from the output that 
> scipy is still being built with g77.  Where might this problem be?

Is

   python setup.py config_fc --help-fcompiler --verbose

still showing that absoft compiler is available? The question is whether 
setup.py uses correct scipy_distutils or not.

Pearu




More information about the Scipy-dev mailing list